Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003339 [JEDI VCL] 00 JVCL Components feature always 2005-12-04 07:08 2006-04-16 15:58
Reporter remkobonte View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003339: TJvCreateProcess: separate stdout/stderror
Description From the newsgroup:

jvCreateprocess works okay but I am in position where I want stdout to go in
a buffered control on a form while anything from stderror I want to go to a
file. Modifying jvcreateprocess is harder than I imagined.
It seems to use duplicate_handle for stderror to stdoutput so only have one
reader?? Seems that would need
two readers? (Better would be stderr only redirected but seems you cant do
this?).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008873)
obones (administrator)
2006-04-04 05:17

Any news?
(0009125)
remkobonte (developer)
2006-04-16 15:57

This is partly resolved in Rev. 1.31 of JvCreateProcess.pas.

That is, the component can now have a separate reader for the data a consoles writes to its standard output/error handles.

You cannot only redirect error. You could specify a 0 handle to be used as standard output for the console, but that would probably crash or deadlock the console process. But the component could be changed to just flush the data it read from the console.

- Issue History
Date Modified Username Field Change
2005-12-04 07:08 remkobonte New Issue
2005-12-04 07:19 remkobonte Status new => assigned
2005-12-04 07:19 remkobonte Assigned To => remkobonte
2005-12-05 04:19 ogiesen Issue Monitored: ogiesen
2006-04-04 05:17 obones Note Added: 0008873
2006-04-04 05:17 obones Status assigned => feedback
2006-04-16 15:57 remkobonte Status feedback => resolved
2006-04-16 15:57 remkobonte Fixed in Version => 3.20
2006-04-16 15:57 remkobonte Resolution open => fixed
2006-04-16 15:57 remkobonte Note Added: 0009125


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker